> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Site

> Create a new site

You can create a site with the following types:
- solar
- wind
- load



## OpenAPI

````yaml post /platform/v2/sites
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /platform/v2/sites:
    post:
      tags:
        - Site
      summary: Create Site
      description: |-
        Create a new site

        You can create a site with the following types:
        - solar
        - wind
        - load
      operationId: create_site_platform_v2_sites_post
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/SolarSiteItem'
                - $ref: '#/components/schemas/WindSiteItem'
                - $ref: '#/components/schemas/LoadSiteItem'
              discriminator:
                propertyName: type
                mapping:
                  solar:
                    $ref: '#/components/schemas/SolarSiteItem'
                  wind:
                    $ref: '#/components/schemas/WindSiteItem'
                  load:
                    $ref: '#/components/schemas/LoadSiteItem'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SolarSiteItem:
      properties:
        name:
          type: string
          title: Name
          example: My site
        latitude:
          type: number
          maximum: 90
          minimum: -90
          title: Latitude
          example: 52.5
        longitude:
          type: number
          maximum: 180
          minimum: -180
          title: Longitude
          example: 13.4
        settings:
          $ref: '#/components/schemas/SiteSettings'
        type:
          type: string
          const: solar
          title: Type
        assets:
          items:
            oneOf:
              - $ref: '#/components/schemas/PVAssetFixed'
              - $ref: '#/components/schemas/PVAssetSingleAxis'
              - $ref: '#/components/schemas/PVAssetDualAxis'
            discriminator:
              propertyName: mount
              mapping:
                dual_axis_tracking:
                  $ref: '#/components/schemas/PVAssetDualAxis'
                fixed:
                  $ref: '#/components/schemas/PVAssetFixed'
                single_axis_tracking:
                  $ref: '#/components/schemas/PVAssetSingleAxis'
          type: array
          minItems: 1
          title: Assets
      type: object
      required:
        - name
        - latitude
        - longitude
        - settings
        - type
        - assets
      title: SolarSiteItem
    WindSiteItem:
      properties:
        name:
          type: string
          title: Name
          example: My site
        latitude:
          type: number
          maximum: 90
          minimum: -90
          title: Latitude
          example: 52.5
        longitude:
          type: number
          maximum: 180
          minimum: -180
          title: Longitude
          example: 13.4
        settings:
          $ref: '#/components/schemas/SiteSettings'
        type:
          type: string
          const: wind
          title: Type
        assets:
          items:
            anyOf:
              - $ref: '#/components/schemas/TurbineWindAsset'
              - $ref: '#/components/schemas/GenericWindAsset'
          type: array
          minItems: 1
          title: Assets
      type: object
      required:
        - name
        - latitude
        - longitude
        - settings
        - type
        - assets
      title: WindSiteItem
    LoadSiteItem:
      properties:
        name:
          type: string
          title: Name
          example: My site
        latitude:
          type: number
          maximum: 90
          minimum: -90
          title: Latitude
          example: 52.5
        longitude:
          type: number
          maximum: 180
          minimum: -180
          title: Longitude
          example: 13.4
        settings:
          $ref: '#/components/schemas/LoadSiteSettings'
        type:
          type: string
          const: load
          title: Type
      type: object
      required:
        - name
        - latitude
        - longitude
        - settings
        - type
      title: LoadSiteItem
    ValidationResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ValidationResponse
    SiteSettings:
      properties:
        model_resolution:
          type: string
          enum:
            - 15min
            - 30min
            - 1h
            - 1d
          title: Model Resolution
          default: 1h
          example: 1h
        additional_points:
          items:
            $ref: '#/components/schemas/WeatherPoint'
          type: array
          title: Additional Points
          default: []
        trainLongTermModels:
          type: boolean
          title: Trainlongtermmodels
          default: false
        trainNearTermModels:
          type: boolean
          title: Trainneartermmodels
          default: true
        quantileModels:
          items:
            type: number
          type: array
          title: Quantilemodels
          default: []
        usePhysicalModels:
          type: boolean
          title: Usephysicalmodels
          default: true
        weather_models:
          items:
            type: string
          type: array
          title: Weather Models
          default: []
        create_params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Create Params
          default: {}
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          default: {}
        forecast_max_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Forecast Max Value
      type: object
      title: SiteSettings
    PVAssetFixed:
      properties:
        mount:
          type: string
          const: fixed
          title: Mount
          default: fixed
          example: fixed
        capacity:
          type: number
          title: Capacity
          example: 1000
        install_date:
          type: string
          format: date
          title: Install Date
          example: '2020-01-01'
        azimuth:
          type: number
          title: Azimuth
          example: 180
        tilt:
          type: number
          title: Tilt
          example: 30
      type: object
      required:
        - capacity
        - install_date
        - azimuth
        - tilt
      title: PVAssetFixed
    PVAssetSingleAxis:
      properties:
        mount:
          type: string
          const: single_axis_tracking
          title: Mount
          example: single_axis_tracking
        capacity:
          type: number
          title: Capacity
          example: 1000
        install_date:
          type: string
          format: date
          title: Install Date
          example: '2020-01-01'
        axis_tilt:
          type: number
          title: Axis Tilt
          example: 0
        axis_azimuth:
          type: number
          title: Axis Azimuth
          example: 180
        max_angle:
          type: number
          title: Max Angle
          example: 45
        backtrack:
          type: boolean
          title: Backtrack
          example: true
        gcr:
          type: number
          title: Gcr
          default: 0.2857142857142857
          example: 0.2857142857142857
      type: object
      required:
        - mount
        - capacity
        - install_date
        - axis_tilt
        - axis_azimuth
        - max_angle
        - backtrack
      title: PVAssetSingleAxis
    PVAssetDualAxis:
      properties:
        mount:
          type: string
          const: dual_axis_tracking
          title: Mount
          example: dual_axis_tracking
        capacity:
          type: number
          title: Capacity
          example: 1000
        install_date:
          type: string
          format: date
          title: Install Date
          example: '2020-01-01'
      type: object
      required:
        - mount
        - capacity
        - install_date
      title: PVAssetDualAxis
    TurbineWindAsset:
      properties:
        turbine_type:
          $ref: '#/components/schemas/TurbineType'
          example: V90/3000
        hub_height:
          type: number
          minimum: 10
          title: Hub Height
          example: 80
        nr_units:
          type: integer
          minimum: 1
          title: Nr Units
          example: 10
        install_date:
          type: string
          format: date
          title: Install Date
          example: '2020-01-01'
      type: object
      required:
        - turbine_type
        - hub_height
        - nr_units
        - install_date
      title: TurbineWindAsset
    GenericWindAsset:
      properties:
        turbine_type:
          type: string
          const: generic
          title: Turbine Type
          default: generic
        nominal_power:
          type: number
          minimum: 1
          title: Nominal Power
          description: Nominal power of the turbine in kW
          example: 3000
        rotor_diameter:
          type: number
          minimum: 10
          title: Rotor Diameter
          description: Rotor diameter of the turbine in meters
          example: 90
        install_date:
          type: string
          format: date
          title: Install Date
          example: '2020-01-01'
        nr_units:
          type: integer
          minimum: 1
          title: Nr Units
          example: 10
        hub_height:
          type: number
          minimum: 10
          title: Hub Height
          example: 80
      type: object
      required:
        - nominal_power
        - rotor_diameter
        - install_date
        - nr_units
        - hub_height
      title: GenericWindAsset
    LoadSiteSettings:
      properties:
        model_resolution:
          type: string
          enum:
            - 15min
            - 30min
            - 1h
            - 1d
          title: Model Resolution
          default: 1h
          example: 1h
        additional_points:
          items:
            $ref: '#/components/schemas/WeatherPoint'
          type: array
          title: Additional Points
          default: []
        trainLongTermModels:
          type: boolean
          title: Trainlongtermmodels
          default: true
        trainNearTermModels:
          type: boolean
          title: Trainneartermmodels
          default: true
        options:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Options
        create_params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Create Params
          default: {}
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          default: {}
        forecast_max_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Forecast Max Value
      type: object
      title: LoadSiteSettings
    ErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ErrorItem
    WeatherPoint:
      properties:
        name:
          type: string
          title: Name
          example: Berlin
        latitude:
          type: number
          title: Latitude
          example: 52.5
        longitude:
          type: number
          title: Longitude
          example: 13.4
      type: object
      required:
        - name
        - latitude
        - longitude
      title: WeatherPoint
    TurbineType:
      type: string
      enum:
        - E-141/4200
        - E-126/4200
        - E-101/3500
        - E-115/3200
        - E-101/3050
        - E-115/3000
        - E-82/3000
        - E-92/2350
        - E-82/2350
        - E-82/2300
        - E-70/2300
        - E-82/2000
        - E-70/2000
        - E-53/800
        - N131/3600
        - N131/3300
        - N131/3000
        - N117/2400
        - SWT130/3300
        - N100/2500
        - N90/2500
        - V164/8000
        - MM92/2050
        - V126/3450
        - V126/3300
        - V126/3000
        - V117/3450
        - V117/3300
        - V112/3450
        - V112/3300
        - V112/3075
        - V112/3000
        - V90/3000
        - V90/2000
        - V80/2000
        - SWT130/3600
        - SWT120/3600
        - VS112/2500
        - SWT113/3200
        - SWT142/3150
        - SWT113/2300
        - AD116/5000
        - S152/6330
        - S126/6150
        - S114/3400
        - S104/3400
        - S114/3200
        - S122/3200
        - S122/3000
        - MM100/2000
        - GE130/3200
        - GE120/2750
        - GE103/2750
        - GE120/2500
        - GE100/2500
        - ENO126/3500
        - ENO114/3500
        - ENO100/2200
        - V164/9500
        - E48/800
        - V90/2000/GS
        - V100/1800
        - V100/1800/GS
        - V117/3600
        - SCD168/8000
        - E-126/7500
        - E-126/7580
      title: TurbineType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your API key. This is required to access our API programatically. You
        can view your API key in the Rebase dashboard.
      in: header
      name: Authorization

````